import { Controller, Get, Post, Body } from '@nestjs/common';
import { AlertasService } from './alertas.service';

@Controller('alertas')
export class AlertasController {
  constructor(private readonly svc: AlertasService) {}

  @Get('configs')
  getConfigs() { return this.svc.getConfigs(); }

  @Post('configurar')
  configurar(@Body() dto: any) { return this.svc.configurar(dto); }

  @Post('verificar')
  verificar() { return this.svc.verificarAlertas(); }
}
